Skip to content
Amplify APIReference

List all Segments of a Marketer

GET/marketers/{marketerId}/segments
OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Path Parameters

marketerId*string

the marketer id

Query Parameters

name?string

the segment name

matchExactNAme?string

should the name search use exact matching

includeArchived?string

should the search results include archived segments

Response Body

application/json

curl -X GET "https://example.com/marketers/008f7b0d8a5c8cb24ba3011be372bfb232/segments?name=segment+name&matchExactNAme=true&includeArchived=false"
Empty